Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 20/04/2019, à 18:15

stephane13

[Résolu] Message d'erreur à l'update

Bonjour,

J'ai ce message après avoir lancé l'update:

stephane@pcbureau:~$ sudo apt update
Atteint :1 http://fr.archive.ubuntu.com/ubuntu bionic InRelease
Réception de :3 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]                                    
Atteint :4 http://fr.archive.ubuntu.com/ubuntu bionic-updates InRelease                                                  
Atteint :5 http://fr.archive.ubuntu.com/ubuntu bionic-backports InRelease                                                
Réception de :2 http://ppa.launchpad.net/webupd8team/java/ubuntu bionic InRelease [15,4 kB]                    
E: Le dépôt « http://ppa.launchpad.net/webupd8team/java/ubuntu bionic InRelease » a modifié sa valeur « Label » de « Oracle Java (JDK) 8 Installer PPA » à « Oracle Java (JDK) 8 Installer PPA (DISCONTINUED) »
N: Ceci doit être pleinement accepté avant que les mises à jour depuis ce dépôt puissent être appliquées. Veuillez vous référer aux pages de manuel « apt-secure(8) » pour plus de détails.
Souhaitez-vous accepter ces modifications et continuer à mettre à jour depuis ce dépôt ? [o/N] 

Je veux bien faire confiance et accepter sans réfléchir, c'est pas le soucis, je voudrais juste comprendre ce qui se passe et/ou si je peux faire quelque chose de propre.


Merci.

Dernière modification par stephane13 (Le 21/04/2019, à 17:14)

Hors ligne

#2 Le 20/04/2019, à 18:32

inbox

Re : [Résolu] Message d'erreur à l'update

Salut,

Pour trouver la source de ton problème il aurait fallu chercher le message suivant, via ton moteur de recherche préféré :

ppa.launchpad.net/webupd8team/java/ubuntu bionic InRelease » a modifié sa valeur « Label » de « Oracle Java (JDK) 8 Installer PPA » à « Oracle Java (JDK) 8 Installer PPA (DISCONTINUED) »

Le problème est décrit sur cette page.

Deepl a écrit :

La licence Oracle JDK a été modifiée pour les versions à partir du 16 avril 2019.

Le nouveau contrat de licence Oracle Technology Network License Agreement pour Oracle Java SE est substantiellement différent des licences Oracle JDK antérieures. La nouvelle licence autorise certaines utilisations, telles que l'utilisation personnelle et l'utilisation à des fins de développement, sans frais, mais d'autres utilisations autorisées sous des licences Oracle JDK antérieures peuvent ne plus être disponibles. Veuillez lire attentivement les conditions avant de télécharger et d'utiliser ce produit. Une FAQ est disponible ici : https://www.oracle.com/technetwork/java … -faqs.html

Les téléchargements Java Oracle nécessitent désormais de se connecter à un compte Oracle pour télécharger les mises à jour Java, comme la dernière version d'Oracle Java 8u211 / Java SE 8u212. Pour cette raison, je ne peux pas mettre à jour le PPA avec la dernière version de Java (et les anciens liens ont été brisés par Oracle).

Pour cette raison, CET PPA EST DISCONTINUÉE (à moins que je ne trouve un moyen de contourner cette limitation).

Oracle Java (JDK) Installer (télécharge et installe automatiquement Oracle JDK8). Il n'y a pas de fichiers Java dans ce PPA.

Il te faut, soit utiliser OpenJDK, soit trouver un autre PPA.

En attendant, tu peux supprimer le PPA actuel. La suppression des PPA est expliquée dans la documentation du forum.

A+

Dernière modification par inbox (Le 20/04/2019, à 18:37)


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

En ligne

#3 Le 20/04/2019, à 19:18

stephane13

Re : [Résolu] Message d'erreur à l'update

D'accord, merci.

Quid des MAJ?

Hors ligne

#4 Le 20/04/2019, à 20:50

inbox

Re : [Résolu] Message d'erreur à l'update

Quelles mise à jour ?


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

En ligne

#5 Le 21/04/2019, à 00:18

stephane13

Re : [Résolu] Message d'erreur à l'update

De java! Actuellement je n'ai pas la dernière version et comme je viens de supprimer le ppa, il n'y aura pas de maj du tout.

Si il faut passer par la compilation pourquoi pas, mais comment savoir lorsque il y a une nouvelle version?

Hors ligne

#6 Le 21/04/2019, à 11:18

inbox

Re : [Résolu] Message d'erreur à l'update

Comme la méthode automatique via le PPA est HS pour le moment, il te faut en passer par la méthode décrite ici, sans tenir compte de la partie PPA.

Selon, ce que tu as besoin, installe le JRE et éventuellement le JDK.


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

En ligne

#7 Le 21/04/2019, à 17:14

stephane13

Re : [Résolu] Message d'erreur à l'update

Nous sommes d'accord. Merci.

Hors ligne